# Taslağın Modeli Getirilir

## GET /Draft/{UUID}/model

> Model olarak indirir.

```json
{"openapi":"3.0.1","info":{"title":"E-Despatch API","version":"v1"},"servers":[{"url":"/edespatch"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"API anahtar� giriniz","scheme":"Bearer","bearerFormat":"JWT"}},"schemas":{"EDespatchDto":{"type":"object","properties":{"DespatchInfo":{"$ref":"#/components/schemas/DespatchInfoDto"},"DespatchSupplierInfo":{"$ref":"#/components/schemas/DespatchSupplierInfoDto"},"DeliveryCustomerInfo":{"$ref":"#/components/schemas/DeliveryCustomerInfoDto"},"BuyerCustomerInfo":{"$ref":"#/components/schemas/BuyerCustomerInfoDto"},"SellerSupplierInfo":{"$ref":"#/components/schemas/SellerSupplierInfoDto"},"OriginatorCustomerInfo":{"$ref":"#/components/schemas/OriginatorCustomerInfoDto"},"Notes":{"type":"array","items":{"type":"string"},"nullable":true},"DespatchLines":{"type":"array","items":{"$ref":"#/components/schemas/DespatchLineDto"},"nullable":true},"ShipmentDetail":{"$ref":"#/components/schemas/ShipmentDetailDto"},"AdditionalDocumentReference":{"type":"array","items":{"$ref":"#/components/schemas/AdditionalDocumentReferenceDto"},"nullable":true},"OrderReference":{"$ref":"#/components/schemas/OrderReferenceDto"}},"additionalProperties":false},"DespatchInfoDto":{"type":"object","properties":{"UUID":{"type":"string","format":"uuid"},"IssueDate":{"type":"string","format":"date-time"},"TemplateBase64String":{"type":"string","nullable":true},"TemplateUUID":{"type":"string","format":"uuid"},"ActualDespatchDateTime":{"type":"string","format":"date-time"},"PayableAmount":{"type":"number","format":"double"},"CurrencyCode":{"type":"string","nullable":true},"DespatchType":{"$ref":"#/components/schemas/DespatchType"},"DespatchProfile":{"$ref":"#/components/schemas/DespatchProfile"},"DespatchSerieOrNumber":{"type":"string","nullable":true},"MatbuIssueDate":{"type":"string","format":"date-time","nullable":true},"MatbuNumber":{"type":"string","nullable":true}},"additionalProperties":false},"DespatchType":{"enum":["MATBUDAN","SEVK"],"type":"string"},"DespatchProfile":{"enum":["TEMELIRSALIYE","HKSIRSALIYE"],"type":"string"},"DespatchSupplierInfoDto":{"type":"object","properties":{"PartyIdentifications":{"type":"array","items":{"$ref":"#/components/schemas/IDTypeDto"},"nullable":true},"WebSite":{"type":"string","nullable":true},"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true}},"additionalProperties":false},"IDTypeDto":{"type":"object","properties":{"SchemeID":{"type":"string","nullable":true},"Value":{"type":"string","nullable":true}},"additionalProperties":false},"DeliveryCustomerInfoDto":{"type":"object","properties":{"PartyIdentifications":{"type":"array","items":{"$ref":"#/components/schemas/IDTypeDto"},"nullable":true},"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerCustomerInfoDto":{"type":"object","properties":{"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"SellerSupplierInfoDto":{"type":"object","properties":{"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"OriginatorCustomerInfoDto":{"type":"object","properties":{"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"DespatchLineDto":{"type":"object","properties":{"DeliveredUnitType":{"type":"string","nullable":true},"DeliveredUnitName":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"SellerCode":{"type":"string","nullable":true},"BuyerCode":{"type":"string","nullable":true},"Description":{"type":"string","nullable":true},"DeliveredQuantity":{"type":"number","format":"double"},"QuantityPrice":{"type":"number","format":"double"},"LineTotal":{"type":"number","format":"double"},"AdditionalItemIdentification":{"type":"string","nullable":true},"OutstandingQuantity":{"type":"number","format":"double"},"OutstandingUnitType":{"type":"string","nullable":true},"OutstandingUnitName":{"type":"string","nullable":true},"OutstandingReason":{"type":"string","nullable":true},"ManufacturerCode":{"type":"string","nullable":true},"BrandName":{"type":"string","nullable":true},"ModelName":{"type":"string","nullable":true}},"additionalProperties":false},"ShipmentDetailDto":{"type":"object","properties":{"ShipmentInfo":{"$ref":"#/components/schemas/ShipmentInfoDto"},"Delivery":{"$ref":"#/components/schemas/DeliveryDto"},"TransportEquipment":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false},"ShipmentInfoDto":{"type":"object","properties":{"DriverPerson":{"type":"array","items":{"$ref":"#/components/schemas/DriverPersonDto"},"nullable":true},"LicensePlateID":{"type":"string","nullable":true}},"additionalProperties":false},"DriverPersonDto":{"type":"object","properties":{"FirstName":{"type":"string","nullable":true},"LastName":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true}},"additionalProperties":false},"DeliveryDto":{"type":"object","properties":{"AddressInfo":{"$ref":"#/components/schemas/AddressInfoDto"},"CarrierInfo":{"$ref":"#/components/schemas/CarrierInfoDto"}},"additionalProperties":false},"AddressInfoDto":{"type":"object","properties":{"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true},"Mail":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true}},"additionalProperties":false},"CarrierInfoDto":{"type":"object","properties":{"Address":{"type":"string","nullable":true},"District":{"type":"string","nullable":true},"City":{"type":"string","nullable":true},"PostalCode":{"type":"string","nullable":true},"Country":{"type":"string","nullable":true},"TaxNumber":{"type":"string","nullable":true},"Phone":{"type":"string","nullable":true},"TaxOffice":{"type":"string","nullable":true},"Name":{"type":"string","nullable":true},"Email":{"type":"string","nullable":true},"WebSite":{"type":"string","nullable":true},"Fax":{"type":"string","nullable":true}},"additionalProperties":false},"AdditionalDocumentReferenceDto":{"type":"object","properties":{"ID":{"type":"string","nullable":true},"IssueDate":{"type":"string","format":"date-time","nullable":true},"DocumentType":{"type":"string","nullable":true},"DocumentTypeCode":{"type":"string","nullable":true},"DocumentDescription":{"type":"string","nullable":true},"Attachment":{"$ref":"#/components/schemas/AttachmentDto"}},"additionalProperties":false},"AttachmentDto":{"type":"object","properties":{"Base64Data":{"type":"string","nullable":true},"MimeCode":{"type":"string","nullable":true},"FileName":{"type":"string","nullable":true}},"additionalProperties":false},"OrderReferenceDto":{"type":"object","properties":{"ID":{"type":"string","nullable":true},"IssueDate":{"type":"string","format":"date-time","nullable":true},"DocumentReference":{"$ref":"#/components/schemas/AdditionalDocumentReferenceDto"}},"additionalProperties":false}}},"paths":{"/Draft/{UUID}/model":{"get":{"tags":["Draft"],"summary":"Model olarak indirir.","parameters":[{"name":"UUID","in":"path","description":"","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Model olarak indirir.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EDespatchDto"}}}},"400":{"description":"Geçersiz İstek | Gönderdiğiniz istekte geçersiz veriler bulunduğu anlamında gelmektedir | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#badrequest-400\">tıklayınız</a>"},"403":{"description":"Yetkisiz Erişim | Bu uca erişmek için gerekli yetkiye sahip olmadığınız durumda dönülür"},"404":{"description":"Parametrede belirtilen kayıt bulunamadığında dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#notfound-404\">tıklayınız</a>"},"422":{"description":"Gönderdiğiniz istek geçerli fakat iş kuralları gereği geçersiz değerler içerdiğinde dönülür | Detaylar için <a target=\"_blank\" href=\"https://developer.nilvera.com/hata-kodlari#unprocessableentity-422\">tıklayınız</a>"}}}}}}
```

{% tabs %}
{% tab title="C#" %}

```csharp
var client = new RestClient("https://apitest.nilvera.com/edespatch/Draft/95a63e90-691a-41e8-9577-2fc0a98c676e/model");
client.Timeout = -1;
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <API KEY>");
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP - cURL" %}

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://apitest.nilvera.com/edespatch/Draft/95a63e90-691a-41e8-9577-2fc0a98c676e/model',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer <API KEY>'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
```

{% endtab %}

{% tab title="NodeJs - Axios" %}

```javascript
var axios = require('axios');

var config = {
  method: 'get',
  url: 'https://apitest.nilvera.com/edespatch/Draft/95a63e90-691a-41e8-9577-2fc0a98c676e/model',
  headers: { 
    'Authorization': 'Bearer <API KEY>'
  }
};

axios(config)
.then(function (response) {
  console.log(JSON.stringify(response.data));
})
.catch(function (error) {
  console.log(error);
});
```

{% endtab %}
{% endtabs %}
